Package Details: firefox-extension-sponsorblock 2.0.12.3-1

Git Clone URL: https://aur.archlinux.org/firefox-extension-sponsorblock.git (read-only, click to copy)
Package Base: firefox-extension-sponsorblock
Description: SponsorBlock extension for Firefox
Upstream URL: https://github.com/ajayyy/SponsorBlock/
Keywords: firefox firefox-extension sponsorblock
Licenses: GPL3
Groups: firefox-addons
Submitter: kiankasad
Maintainer: kiankasad
Last Packager: kiankasad
Votes: 0
Popularity: 0.000000
First Submitted: 2021-02-11 18:53
Last Updated: 2021-02-11 18:53

Pinned Comments

kiankasad commented on 2021-02-11 18:58

Since there's no way to build a signed XPI automatically from the latest Git commit, I've created a new package, firefox-extension-sponsorblock, which uses the same method as firefox-extension-bitwarden. I installed firefox to test it and it seems to work fine.

This package will be abandoned.

Latest Comments

kiankasad commented on 2021-02-11 18:58

Since there's no way to build a signed XPI automatically from the latest Git commit, I've created a new package, firefox-extension-sponsorblock, which uses the same method as firefox-extension-bitwarden. I installed firefox to test it and it seems to work fine.

This package will be abandoned.

angelss19 commented on 2021-02-11 10:24

just use the xpi file from github similar to firefox-extension-bitwarden

kiankasad commented on 2021-02-09 05:37

@angelss19 Thanks for letting me know. It looks like Firefox dropped support for unpacked extensions a while ago. Since I don't know how to build proper Firefox extensions, my current plan is to just disown the package.

I don't use Firefox anymore so I'm not going to mess around with it. If you know how to build this correctly, let me know and I can update the PKGBUILD or just add you as a maintainer.

angelss19 commented on 2021-02-09 05:15

i think you cant install this addon, firefox only let you install(persistent) xpi files